aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2012-08-02 09:22:49 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2012-08-02 11:10:07 +0000
commitf24de70eaa799f85e1c15ed3f00e059a9fa80fa0 (patch)
treecc3a4c62a7a866c11d9f3003cc83533be0c29aa5
parent900d0a2adaeb5e2d290ec7eba0f1a097ed9af12f (diff)
downloadaports-f24de70eaa799f85e1c15ed3f00e059a9fa80fa0.tar.gz
aports-f24de70eaa799f85e1c15ed3f00e059a9fa80fa0.tar.bz2
aports-f24de70eaa799f85e1c15ed3f00e059a9fa80fa0.tar.xz
main/libnetfilter_acct: new aport
Userspace library providing interface to extended accounting infrastructure
-rw-r--r--main/libnetfilter_acct/APKBUILD31
1 files changed, 31 insertions, 0 deletions
diff --git a/main/libnetfilter_acct/APKBUILD b/main/libnetfilter_acct/APKBUILD
new file mode 100644
index 0000000000..0883cc0e07
--- /dev/null
+++ b/main/libnetfilter_acct/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor:
+# Maintainer: Leonardo Arena <larena@alpinelinux.org>
+pkgname=libnetfilter_acct
+pkgver=1.0.0
+pkgrel=0
+pkgdesc="Userspace library providing interface to extended accounting infrastructure."
+url="http://www.netfilter.org/projects/libnetfilter_conntrack/"
+arch="all"
+license="GPL-2"
+depends=
+makedepends="libnfnetlink-dev libmnl-dev pkgconfig"
+subpackages="$pkgname-dev"
+source="http://www.netfilter.org/projects/$pkgname/files/$pkgname-$pkgver.tar.bz2"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+ make DESTDIR="$pkgdir" install || return 1
+ rm "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="246e97feb9cf98f7ddf70d71a3813336 libnetfilter_acct-1.0.0.tar.bz2"